/*
   _____ _____   _______       _             
  / ____/ ____| |___  / |     | |            
 | (___| (___      / /| | __ _| |_ __ _ _ __ 
  \___ \\___ \    / / | |/ _` | __/ _` | '__|
  ____) |___) |  / /__| | (_| | || (_| | |   
 |_____/_____/  /_____|_|\__,_|\__\__,_|_|   

Mentor: Vladimir Klapač
Učenici: Nikola Glavač, David Janžek, Lukas Pavlović, Dario Turčec, Patrik Trčak                                                                                                                                                    
*/
#include <SAMD21turboPWM.h>

TurboPWM magnet;  //Napravi TurboPWM objekt
TurboPWM ledTraka;  //Napravi TurboPWM objekt

const int duty_eMagnet = 23;  //Duty cycle od elektromagneta

int svjetlina = 500;  //Varijabla za promjenu svjetline
int ledBrzina = 600000;  //Varijabla za promjenu brzinu "Vjetra"

void setup() {
  magnet.setClockDivider(1, false); //Postavi djeljitelj clocka
  magnet.timer(1, 550, 600000, true); //Postavi magnet PWM frekvenciju na 80hz
}

void loop() {
  svjetlina = map(analogRead(A1), 0, 1024, 100, 950); //Prenesi vrijednost potenciometra u duty cycle za LED traku
  ledBrzina = map(analogRead(A1), 0, 1024, 570000, 630000); //Prenesi vrijednost potenciometra u brzinu PWM frekvencije za LED traku

  ledTraka.setClockDivider(1, false); //Postavi djeljitelj clocka
  ledTraka.timer(0, 550, ledBrzina, true); //Postavi magnet PWM frekvenciju na vrijednost ledBrzina

  magnet.analogWrite(2, duty_eMagnet*255/100); //Zapiši duty cycle na pin
  ledTraka.analogWrite(4, svjetlina); //Zapiši duty cycle na pin
}
